Subject: Re: bug#67799: 30.0.50; --without-all fails if libgccjit is installed

From: Andrea Corallo <[email-masked]>
Date: Wed, 13 Dec 2023 06:27:53 -0500

Andrea Corallo <[email-masked]> writes:

> john muhl via "Bug reports for GNU Emacs, the Swiss army knife of text
> editors" <[email-masked]> writes:
>
>> When libgccjit is installed ‘./configure --without-all’ fails
>> with the error:
>>
>>   checking for gcc_jit_context_acquire in -lgccjit... yes
>>   checking for libgccjit.h... yes
>>   configure: error: '--with-native-compilation' requires zlib
>>
>> Using ‘--without-all --with-native-compilation=no’ makes it work
>> as does uninstalling the libgccjit packages.
>>
>> In GNU Emacs 30.0.50 (build 5, x86_64-pc-linux-gnu, GTK+ Version
>>  3.24.38, cairo version 1.18.0) of 2023-12-11 built on localhost
>> Repository revision: 6abea4d98d1d964c68a78cb9b5321071da851654
>> Repository branch: master
>> System Description: Fedora Linux 39 (Thirty Nine)
>
> Looking at it.

Hi John,

281a16d15fa seems to do the job for me, please have a look and let us
know.

Thanks for reporting

  Andrea